<?php

/*********************************************************************

 スケジュール全件表示プラグイン (2015/09/11)

  32877|http://32877.xii.jp

*********************************************************************/


/* メイン処理 */
function freo_display_schedule_all()
{
	global $freo;

	//スケジュール取得
	$stmt = $freo->pdo->prepare('SELECT * FROM ' . FREO_DATABASE_PREFIX . 'plugin_schedules');
	$flag = $stmt->execute();
	if (!$flag) {
		freo_error($stmt->errorInfo());
	}

	$plugin_schedules = array();
	while ($data = $stmt->fetch(PDO::FETCH_ASSOC)) {
		$plugin_schedules[$data['id']] = $data;
	}

	//スケジュールID取得
	$plugin_schedule_keys = array_keys($plugin_schedules);

	//スケジュールタグ取得
	$plugin_schedule_tags = array();
	foreach ($plugin_schedule_keys as $plugin_schedule) {
		if (!$plugin_schedules[$plugin_schedule]['tag']) {
			continue;
		}

		$plugin_schedule_tags[$plugin_schedule] = explode(',', $plugin_schedules[$plugin_schedule]['tag']);
	}

	//スケジュールファイル取得
	$plugin_schedule_files = array();
	foreach ($plugin_schedule_keys as $plugin_schedule) {
		$file_dir = FREO_FILE_DIR . 'plugins/schedule_files/' . $plugin_schedule . '/';

		if (file_exists($file_dir)) {
			if ($dir = scandir($file_dir)) {
				foreach ($dir as $data) {
					if (is_file($file_dir . $data) and preg_match("/(\w+)\.\w+$/", $data, $matches)) {
						$plugin_schedule_files[$plugin_schedule][$matches[1]] = $data;
					}
				}
			} else {
				freo_error('ファイル保存ディレクトリを開けません。');
			}
		}
	}

	//データ割当
	$freo->smarty->assign(array(
		'plugin_schedule_alls'           => $plugin_schedules,
		'plugin_schedule_all_tags'       => $plugin_schedule_tags,
		'plugin_schedule_all_files'      => $plugin_schedule_files
	));

	return;
}

?>
