<?php

/*********************************************************************

 新着スケジュールレスポンス表示プラグイン (2015/09/11)

  32877|http://32877.xii.jp

*********************************************************************/

//外部ファイル読み込み
require_once FREO_MAIN_DIR . 'freo/plugins/security_plugin_scheduleres.php';

/* メイン処理 */
function freo_display_scheduleres_recently()
{
	global $freo;

	if ($freo->config['plugin']['scheduleres_recently']['default_limit'] == 0) {
		return;
	}

	//レスポンス取得
	$stmt = $freo->pdo->prepare('SELECT * FROM ' . FREO_DATABASE_PREFIX . 'plugin_schedulereses ORDER BY created DESC LIMIT :limit');
	$stmt->bindValue(':limit', intval($freo->config['plugin']['scheduleres_recently']['default_limit']), PDO::PARAM_INT);
	$flag = $stmt->execute();
	if (!$flag) {
		freo_error($stmt->errorInfo());
	}

	$plugin_schedulereses = array();
	while ($data = $stmt->fetch(PDO::FETCH_ASSOC)) {
		$plugin_schedulereses[$data['id']] = $data;
	}

	//レスポンスID取得
	$plugin_scheduleres_keys = array_keys($plugin_schedulereses);

	//レスポンス保護データ取得
	$plugin_scheduleres_securities = freo_security_plugin_scheduleres('user', $plugin_scheduleres_keys);

	foreach ($plugin_scheduleres_securities as $id => $security) {
		if (!$security) {
			continue;
		}

		$plugin_schedulereses[$id]['name']      = $freo->config['plugin']['scheduleres']['restriction_name'];
		$plugin_schedulereses[$id]['mail']      = null;
		$plugin_schedulereses[$id]['url']       = null;
		$plugin_scheduleres_files[$id]         = null;
		$plugin_schedulereses[$id]['text']      = $freo->config['plugin']['scheduleres']['restriction_text'];

	}

	//データ割当
	$freo->smarty->assign(array(
		'plugin_scheduleres_recentries'          => $plugin_schedulereses,
	));

	return;
}

?>
